Bug 1016066 - SELinux is preventing /usr/bin/composite from 'create' accesses on the file magickYCBkzq. [NEEDINFO]
SELinux is preventing /usr/bin/composite from 'create' accesses on the file m...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: imagefactory (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:22522176ff5850bd2d1df897356...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 08:33 EDT by javier del cristo
Modified: 2015-02-18 06:33 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:33:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lvrabec: needinfo? (javlopez22)


Attachments (Terms of Use)

  None (edit)
Description javier del cristo 2013-10-07 08:33:05 EDT
Description of problem:
This problem occurs when I intent to open applications of extension .EXE in wine.  Sometime, the program stay suspended for along time. I'm to belive that absence a library or something. Thanks for help me
SELinux is preventing /usr/bin/composite from 'create' accesses on the file magickYCBkzq.

*****  Plugin catchall (100. confidence) suggests  ***************************

If cree que de manera predeterminada, composite debería permitir acceso create sobre  magickYCBkzq file.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep composite /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                magickYCBkzq [ file ]
Source                        composite
Source Path                   /usr/bin/composite
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           ImageMagick-6.7.8.9-5.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.8.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.3-201.fc19.x86_64 #1 SMP Thu
                              Oct 3 00:47:03 UTC 2013 x86_64 x86_64
Alert Count                   159
First Seen                    2013-09-27 12:19:23 BRT
Last Seen                     2013-10-07 08:51:13 BRT
Local ID                      4b1b3851-d2c6-4028-bcaf-719a06bae8e5

Raw Audit Messages
type=AVC msg=audit(1381146673.723:503): avc:  denied  { create } for  pid=3210 comm="convert" name="magickYCBkzq" scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file


type=SYSCALL msg=audit(1381146673.723:503): arch=x86_64 syscall=open success=no exit=EACCES a0=aa13a0 a1=c2 a2=180 a3=0 items=0 ppid=3182 pid=3210 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=convert exe=/usr/bin/convert subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: composite,thumb_t,user_home_dir_t,file,create

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.3-201.fc19.x86_64
type:           libreport

Potential duplicate: bug 825874
Comment 1 Lukas Vrabec 2014-03-13 09:07:54 EDT
Hi Javier, 

Do you know what kind of file is "magickYCBkzq"???
Comment 2 Daniel Walsh 2014-03-16 18:20:38 EDT
It should be created in ~/.cache/Imagefactory/ or some directory like that, not in the toplevel of the users homedir.
Comment 3 Fedora End Of Life 2015-01-09 17:19:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-18 06:33:49 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.